
# MicroEJ UI Wearable Demo based on i.MX RT595 EVK Rev. C1

## Package Description

* `data`: internal files used by `virtualDevice.bat`.
* `README.md`: this file.
* `virtualDevice.bat`: batch file to execute.

## Prerequisites

* Java version 8 (https://www.java.com/fr/download/).

## How-To

1. Run the `virtualDevice.bat` file.

## Troubleshooting

The following error may appear when the Virtual Player is running another version of Java:
	
	...\s3Standalone.microejLaunch:56: The following error occurred while executing this line:
	...\platform\scripts\extension-init.xml:33: Unable to create javax script engine for javascript

Update the environment path to use `java` 8 by default.

___
_Copyright 2020-2021 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  