/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.jsgenerator.test;

import org.junit.Test;

/**
 * <pre>
 * function xxx(){
 *
 * </pre>
 */
public class TestFunctionsDeclaration extends AbstractTest {

	@Test
	public void testEmptyFunction() {
		testJSSourceToMicroEJSource("function foo(){}", "publicstaticvoidfoo(){}");
	}

	@Test
	public void testEmptyFunctionWithArgs() {
		testJSSourceToMicroEJSource("function foo(x,y,z){}", "publicstaticvoidfoo(Objectx,Objecty,Objectz){}");
	}

	@Test
	public void testFunctionWithOneArg() {
		testJSSourceToMicroEJSource("function f(i){ g(i) }", "publicstaticvoidf(Objecti){g(i);}");
	}
}
