/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.giml.model.exception;

/**
 * Thrown to indicate that something went wrong when creating the GIML model.
 */
public class GIMLModelException extends Exception {

	private static final long serialVersionUID = -299864549411389206L;

	/**
	 * Constructs a {@code GIMLModelException} with the specified detail message.
	 *
	 * @param message
	 *            the detail message.
	 */
	public GIMLModelException(String message) {
		super(message);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 *
	 * @param message
	 *            the detail message
	 * @param cause
	 *            the cause
	 */
	public GIMLModelException(String message, Throwable cause) {
		super(message, cause);
	}
}
