package com.is2t.java.nodes.expressions;
/**
 *  Boolean litteral TRUE and FALSE 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */

import com.is2t.java.JavaSourceGenerator;

public class BooleanLiteral extends Literal {
	
	public boolean isTrue;
	
	public static final char[] TRUE= new char[] { 't','r','u','e' };
	public static final char[] FALSE= new char[] { 'f','a','l','s','e' };

	public BooleanLiteral( boolean isTrue) {
		this.isTrue = isTrue;
	}
	
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateBooleanLiteral(this);
	}
	
	public char[] getValue (){
		return (isTrue ? TRUE: FALSE);			
	}
	
}
