package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

public class CompoundAssignment extends Assignment implements Operators {
	
	public int operator;	//value from Operators

	public CompoundAssignment(Expression left, Expression right, int operator) {
		super( left, right);
		this.operator = operator;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateCompoundAssignment( this);
	}
}
