package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;

/**
 * Specific node used for generate Double Literal in Double class
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class DoubleLiteralInDoubleClass extends DoubleLiteral {
	
	public DoubleLiteralInDoubleClass( double value) {
		super(value);
	}
	
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateDoubleLiteralInDoubleClass( this);
	}
}
