/*
 * Java
 * 
 * Copyright 2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.linker.map.event;

import java.util.EventObject;

import com.is2t.linker.map.IMapFileInterpretor2;

public abstract class MapFileInterpretorEvent extends EventObject {

	public MapFileInterpretorEvent(IMapFileInterpretor2 source) {
		super(source);
	}

	public IMapFileInterpretor2 getSource() {
		// for sure, the source is an interpretor, see constructor
		return (IMapFileInterpretor2) super.getSource();
	}
}
