/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

/**
 *
 */
public class Nvg_lite_matrix {
	public native static int create();

	public native static int destroy(int handle);

	public native static int identity(int handle);

	public native static int translate(int handle, float x, float y);

	public native static int scale(int handle, float x, float y);

	public native static int rotate(int handle, float degrees);

	public native static int perspective(int handle, float px, float py);
}
