package com.is2t.java.nodes;

import com.is2t.java.JavaSourceGenerator;

/**
 * Java statement :
 * 		do { statement}
 * 		while (condition);
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class DoStatement extends WhileStatement {
	
	public DoStatement( Expression condition, Statement statement) {
		super( condition, statement);
	}
	
	@Override
	public void generateUsing(JavaSourceGenerator gen) {
		gen.generateDoStatement( this);
		
	}

}
