package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

/**
 * Java expression : arg[3] or ( foo()[index()];
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ArrayAccess extends Expression {

	public Expression receiver;
	public Expression index;
	
	public ArrayAccess( Expression receiver, Expression index ) {
		this.receiver = receiver;
		this.index = index;
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateArrayAccess( this);
		
	}
	
}
