package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.TypeReference;

/**
 * Java expression to access to a Type 
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ClassLiteral extends Literal {
	
	public TypeReference type;
	
	public ClassLiteral( TypeReference type) {
		this.type = type;
	}

	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateClassLiteral( this);
		
	}

}
