package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;


public class StringLiteral extends Literal {

	public char[] value;
	
	public StringLiteral(char[] value){
		this.value = value;
	}
	
	public StringLiteral(String value){
		this.value = value.toCharArray();
	}
	
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateStringLiteral(this);
	}

}
