package com.is2t.java.nodes.expressions;


import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;
import com.is2t.java.nodes.TypeReference;

public class TernaryExpression extends Expression{
	
	public Expression condition;		// never null
	public Expression ifTrue;			// never null
	public Expression ifFalse;			// never null
	public TypeReference returnType ;	// never null
	
	public TernaryExpression( Expression condition, Expression ifTrue, Expression ifFalse, TypeReference returnType) {
		this.returnType = returnType;
		this.ifFalse = ifFalse;
		this.ifTrue = ifTrue;
		this.condition = condition;
	}
	
	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.genarateTernaryExpression( this);
		
	}

}
