package com.is2t.java.nodes.expressions;

import com.is2t.java.JavaSourceGenerator;
import com.is2t.java.nodes.Expression;

/**
 * Java nodes for this expression.
 * Can be this or super ...
 * Java
 *
 * Copyright 2008 IS2T. All rights reserved
 * IS2T PROPRIETARY/ Use is subject to license terms.
 */
public class ThisExpression extends Expression {
	public boolean isSuper;
	
	// create a This expression
	public ThisExpression() {
		super();
		// isSuper = false;  vm done
 	}
	
	
	// create a This or super expression
	public ThisExpression( boolean isSuper) {
		super();
		this.isSuper = isSuper;
	}



	@Override
	public void generateExpressionUsing(JavaSourceGenerator gen) {
		gen.generateThisExpression( this);
	}
}
