/*
 * Java
 *
 * Copyright 2019-2020 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.verisilicon.vivante;

import ej.sni.NativeException;

/**
 *
 */
public class vg_lite_error extends NativeException {

	public vg_lite_error(int errorCode, String message) {
		super(errorCode, message);
	}

	public vg_lite_error(int errorCode) {
		super(errorCode, "vg_lite operation failed with error: " + errorCode);
	}
}
